### Method

# FwupdPlugin Device convert_version

#### Declaration [src]

    gchar*
    fu_device_convert_version (
      FuDevice* self,
      guint64 version_raw,
      GError** error
    )

#### Description [src]

Converts the integer version to a string version, using the device-specific converter.

Available since: | 2.0.18

#### Parameters

`version_raw` | `guint64`
| An integer.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string value, or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.